From 662704f8d3b146ca866aaad6d34bdbcaa824fef7 Mon Sep 17 00:00:00 2001
From: Andrew Esh <andrew.esh@qterics.com>
Date: Wed, 17 May 2017 13:44:05 -0500
Subject: [PATCH 15/25] _common_ Update libpng for Android NDK zlib
 compatibility

---
 ...n-fix-function-export-names-for-iOS-armv7.patch |  6 ++---
 ...2-Remove-depedency-on-zlib-1.2.8.1-and-up.patch | 29 ++++++++++++++++++++++
 recipes/libpng/libpng.recipe                       |  3 ++-
 3 files changed, 34 insertions(+), 4 deletions(-)
 create mode 100644 recipes/libpng/0002-Remove-depedency-on-zlib-1.2.8.1-and-up.patch

diff --git a/recipes/libpng/0001-neon-fix-function-export-names-for-iOS-armv7.patch b/recipes/libpng/0001-neon-fix-function-export-names-for-iOS-armv7.patch
index b3c78b0..8948c1c 100644
--- a/recipes/libpng/0001-neon-fix-function-export-names-for-iOS-armv7.patch
+++ b/recipes/libpng/0001-neon-fix-function-export-names-for-iOS-armv7.patch
@@ -1,7 +1,7 @@
-From 18f113d934c736953f915d6accddc90cb91db6d1 Mon Sep 17 00:00:00 2001
+From 08de52e0c17a5ac5d555757fae2d6ea904848de7 Mon Sep 17 00:00:00 2001
 From: Andoni Morales Alastruey <ylatuya@gmail.com>
 Date: Mon, 28 Oct 2013 13:26:35 +0100
-Subject: [PATCH] neon: fix function export names for iOS armv7
+Subject: [PATCH 1/2] neon: fix function export names for iOS armv7
 
 ---
  arm/filter_neon.S | 16 +++++++++++-----
@@ -50,5 +50,5 @@ index 3b061d6..ac08afa 100644
  
  func    png_read_filter_row_sub4_neon, export=1
 -- 
-2.1.0
+2.13.0
 
diff --git a/recipes/libpng/0002-Remove-depedency-on-zlib-1.2.8.1-and-up.patch b/recipes/libpng/0002-Remove-depedency-on-zlib-1.2.8.1-and-up.patch
new file mode 100644
index 0000000..ff106ff
--- /dev/null
+++ b/recipes/libpng/0002-Remove-depedency-on-zlib-1.2.8.1-and-up.patch
@@ -0,0 +1,29 @@
+From 55fe8d4b742100362eff14b137a861e32516052b Mon Sep 17 00:00:00 2001
+From: Andrew Esh <andrew.esh@qterics.com>
+Date: Tue, 16 May 2017 14:05:04 -0500
+Subject: [PATCH 2/2] Remove depedency on zlib 1.2.8.1 and up.
+
+---
+ pngrutil.c | 6 ------
+ 1 file changed, 6 deletions(-)
+
+diff --git a/pngrutil.c b/pngrutil.c
+index fb5f5f0..2932258 100644
+--- a/pngrutil.c
++++ b/pngrutil.c
+@@ -418,12 +418,6 @@ png_inflate_claim(png_structrp png_ptr, png_uint_32 owner)
+             png_ptr->flags |= PNG_FLAG_ZSTREAM_INITIALIZED;
+       }
+ 
+-#if ZLIB_VERNUM >= 0x1281
+-      /* Turn off validation of the ADLER32 checksum */
+-      if ((png_ptr->flags & PNG_FLAG_CRC_CRITICAL_IGNORE) != 0)
+-         ret = inflateValidate(&png_ptr->zstream, 0);
+-#endif
+-
+       if (ret == Z_OK)
+          png_ptr->zowner = owner;
+ 
+-- 
+2.13.0
+
diff --git a/recipes/libpng/libpng.recipe b/recipes/libpng/libpng.recipe
index 6a26088..6a413e0 100644
--- a/recipes/libpng/libpng.recipe
+++ b/recipes/libpng/libpng.recipe
@@ -8,7 +8,8 @@ class Recipe(recipe.Recipe):
     url = 'http://download.sourceforge.net/libpng/libpng-1.6.26.tar.xz'
     licenses = [License.LibPNG]
     deps = ['zlib']
-    patches = ['0001-neon-fix-function-export-names-for-iOS-armv7.patch']
+    patches = ['0001-neon-fix-function-export-names-for-iOS-armv7.patch',
+               '0002-Remove-depedency-on-zlib-1.2.8.1-and-up.patch']
 
     files_libs = ['libpng16']
     files_devel = ['include/libpng16', 'bin/libpng16-config',
-- 
2.15.0

